<?php
include_once 'sys/inc/start.php';
$doc = new document();
$doc->title = 'Друзья';

$ank = new user(@$_GET['id']);



if (!$ank->group)
{
if (isset($_GET['return']))header('Refresh: 1; url='.$_GET['return']);else header('Refresh: 1; url=/');
$doc->err('Нет данных');
exit;
}

if (!$ank->is_friend($user) && !$ank->vis_friends){
if (isset($_GET['return']))header('Refresh: 1; url='.$_GET['return']);else header('Refresh: 1; url=/');
$doc->err('Доступ к данной странице ограничен');
exit;
}
$doc->title.=" \"{$ank->login}\"";


$posts = array();


$pages = new pages;
$pages->posts = mysql_result(mysql_query("SELECT COUNT(*) FROM `friends` WHERE `id_user` = '$ank->id' AND `confirm` = '1'"), 0); // количество друзей
$pages->this_page(); // получаем текущую страницу


$q = mysql_query("SELECT * FROM `friends` WHERE `id_user` = '$ank->id' AND `confirm` = '1' ORDER BY `time` DESC LIMIT {$pages->my_start()}, {$pages->items_per_page}");
while ($friend=mysql_fetch_assoc($q)) {
$fr = new user($friend['id_friend']);
$posts[]=array('title'=>$fr->show(),'icon'=>$fr->icon());
unset($fr);
}
if (!$posts)$posts[]=array('icon'=>array('size'=>'small','src'=>'/sys/images/icons/empty.png'),'title'=>"У пользователя &quot;{$ank->login}&quot; еще нет друзей");

$show = new design();
$show->assign('post',$posts);
$show->display('design.listing.tpl');

$pages->listing('?id='.$ank->id.'&amp;'); // вывод страниц
$doc->ret("Анкета &quot;{$ank->login}&quot;",'/profile.view.php?id='.$ank->id);

?>
